# Luakit Documentation / Modules / keysym

# Module `keysym`

Send keys for luakit

This module parses a vim-like keystring into single keys and sends them to the window. A keystring is a string of keys to press, with special keys denoted in between angle brackets:

    keysym.send(w, "<Shift-Home><BackSpace>")

See gdk/gdkkeysyms.h for a complete list of recognized key names.

## Functions

### keysym.send (The, keystring)

Send synthetic keys to given widget. This function parses a vim-like keystring into single keys and sends them to the widget. A keystring is a string of keys to press, with special keys denoted in between angle brackets:

    keysym.send(w, "<Shift-Home><BackSpace>")
    keysym.send(w, "<Control-a>")

Sending special unicode characters needs related keyboard layout to be set.

    keysym.send(w, "Приветствую, мир")

When `window.act_on_synthetic_keys` is disabled, synthetic key events sent to a window widget will not trigger other key bindings.

#### Parameters

- The
  Type: w
  widget to send keys to.
- keystring
  Type: string
  The key string representing synthetic keys.

## Attribution

#### Copyright

- 2017 Amos Bird amosbird@gmail.com
- 2010 Fabian Streitel luakit@rottenrei.be
- 2010 Mason Larobina mason.larobina@gmail.com